module Appforce
  class Logger
    require 'logger'

    def self.logger
      @logger
    end

    def self.logger=(logger)
      @logger = logger
    end

    def self.header(str='')
      output = ' == ' + str + ' '
      adjust = 78 - output.length
      adjust = adjust < 0 ? 0 : adjust
      output << "="*adjust
    end

    def self.footer
      " " + "="*77
    end

  end
end
